import React from "react";
import { type ButtonProps } from "./Button.types";
import { ButtonIcon, ButtonLabel } from "./ButtonInternals";
declare function Button(props: ButtonProps): React.JSX.Element;
declare namespace Button {
    var Label: typeof ButtonLabel;
    var Icon: typeof ButtonIcon;
}
export type { ButtonProps };
export { Button };
